/* ==UserStyle==
@name           YouTube Cleanup
@namespace      github.com/openstyles/stylus
@version        1.0.0
@description    A new userstyle
@author         Me
==/UserStyle== */
@-moz-document domain("www.youtube.com") {
  #contents ytd-rich-section-renderer:not(:first-child),
  #dismissed,
  #newness-dot,
  ytd-guide-section-renderer:first-child #items > ytd-guide-entry-renderer:not(:nth-child(3)),
  ytd-guide-section-renderer:first-child #items > yt-guide-entry-renderer:not(:nth-child(3)),
  #items > ytd-guide-collapsible-section-entry-renderer,
  #items > yt-guide-collapsible-section-entry-renderer,
  ytd-guide-section-renderer:nth-child(n+3),
  yt-guide-section-renderer:nth-child(n+3),
  #sections + #footer,
  #voice-search-button,
  #end > #buttons > ytd-topbar-menu-button-renderer:not(:last-child),
  #end > #buttons > yt-topbar-menu-button-renderer:not(:last-child),
  #end > #buttons > ytd-notification-topbar-button-renderer > yt-icon-button:not(:first-child),
  #end > #buttons > yt-notification-topbar-button-renderer > yt-icon-button:not(:first-child),
  #hover-overlays,
  #mouseover-overlay,
  #clarify-box,
  ytd-feed-filter-chip-bar-renderer,
  yt-feed-filter-chip-bar-renderer,
  ytd-mealbar-promo-renderer,
  yt-mealbar-promo-renderer,
  .ytp-inline-preview-ui,
  .ytd-video-preview,
  #preview,
  .ytp-chapter-title-chevron,
  ytd-rich-shelf-renderer[is-dismissed],
  yt-rich-shelf-renderer[is-dismissed],
  ytd-primetime-promo-renderer[is-dismissed],
  yt-primetime-promo-renderer[is-dismissed] {
    display: none !important;
  }

  ytd-rich-item-renderer {
    margin-bottom: 0;
    padding-bottom: 5px;
  }

  button.yt-icon-button:hover {
    background: #444;
    border-radius: .5rem;
  }

  ytd-grid-video-renderer ytd-menu-renderer.ytd-grid-video-renderer,
  ytd-rich-grid-media ytd-menu-renderer.ytd-rich-grid-media {
    top: .5rem !important;
    right: .5rem !important;
  }

  #video-title-link {
    display: inline-block !important;
  }
}
